-- Khmer Decisions
-- Author: Sukritact
--=======================================================================================================================

print("Khmer Decisions: loaded")

--=======================================================================================================================
-- Civ Specific Decisions
--=======================================================================================================================
-- Khmer: Rebuild the Highways
-------------------------------------------------------------------------------------------------------------------------

local Decisions_KhmerHighways = {}
    Decisions_KhmerHighways.Name = "TXT_KEY_DECISIONS_KHMERHIGHWAYS"
	Decisions_KhmerHighways.Desc = "TXT_KEY_DECISIONS_KHMERHIGHWAYS_DESC"
	HookDecisionCivilizationIcon(Decisions_KhmerHighways, "CIVILIZATION_KHMER")
	Decisions_KhmerHighways.CanFunc = (
	function(pPlayer)
		if pPlayer:GetCivilizationType() ~= GameInfoTypes.CIVILIZATION_KHMER then return false, false end
		if load(pPlayer, "Decisions_KhmerHighways") == true then
			Decisions_KhmerHighways.Desc = Locale.ConvertTextKey("TXT_KEY_DECISIONS_KHMERHIGHWAYS_ENACTED_DESC")
			return false, false, true
		end
		local iCost = math.ceil(350*iMod)
		Decisions_KhmerHighways.Desc = Locale.ConvertTextKey("TXT_KEY_DECISIONS_KHMERHIGHWAYS_DESC", iCost)
		if (pPlayer:GetGold() < iCost) then return true, false end
		if (pPlayer:GetNumResourceAvailable(iMagistrate, false) < 1) then return true, false end
		if pPlayer:GetCurrentEra() >= GameInfoTypes.ERA_RENAISSANCE then return true, false end
		if pPlayer:GetNumCities() < 4 then return true, false end
		
		return true, true
	end
	)
	
	Decisions_KhmerHighways.DoFunc = (
	function(pPlayer)
		local iCost = math.ceil(350*iMod)
		pPlayer:ChangeGold(-iCost)
		pPlayer:ChangeNumResourceTotal(iMagistrate, -1)
		pPlayer:SetNumFreePolicies(1)
		pPlayer:SetNumFreePolicies(0)
		pPlayer:SetHasPolicy(GameInfoTypes.POLICY_DECISIONS_KHMERHIGHWAYS, true)
		InitUnitFromCity(pPlayer:GetCapitalCity(), GameInfoTypes.UNIT_WORKER, 1)
		save(pPlayer, "Decisions_KhmerHighways", true)
	end
	)
	
Decisions_AddCivilisationSpecific(GameInfoTypes.CIVILIZATION_KHMER, "Decisions_KhmerHighways", Decisions_KhmerHighways)

-------------------------------------------------------------------------------------------------------------------------
-- Khmer: Initiate Construction Programs
-------------------------------------------------------------------------------------------------------------------------

local Decisions_KhmerBayon = {}
    Decisions_KhmerBayon.Name = "TXT_KEY_DECISIONS_KHMERBAYON"
	Decisions_KhmerBayon.Desc = "TXT_KEY_DECISIONS_KHMERBAYON_DESC"
	HookDecisionCivilizationIcon(Decisions_KhmerBayon, "CIVILIZATION_KHMER")
	Decisions_KhmerBayon.Weight = (function(pPlayer) return(pPlayer:CountNumBuildings(GameInfoTypes.BUILDING_KHMER_PRASAT) > 0) end)
	Decisions_KhmerBayon.CanFunc = (
	function(pPlayer)
		if pPlayer:GetCivilizationType() ~= GameInfoTypes.CIVILIZATION_KHMER then return false, false end
		if load(pPlayer, "Decisions_KhmerBayon") == true then
			Decisions_KhmerBayon.Desc = Locale.ConvertTextKey("TXT_KEY_DECISIONS_KHMERBAYON_ENACTED_DESC")
			return false, false, true
		end
		
		Decisions_KhmerBayon.Desc = Locale.ConvertTextKey("TXT_KEY_DECISIONS_KHMERBAYON_DESC")
		
		if (pPlayer:GetNumResourceAvailable(iMagistrate, false) < 2) then return true, false end
		if not(Teams[pPlayer:GetTeam()]:IsHasTech(GameInfoTypes.TECH_CONSTRUCTION)) then return true, false end

		return true, true
	end
	)
	
	Decisions_KhmerBayon.DoFunc = (
	function(pPlayer)
		local iTurns = math.ceil(25 * iGAMod)
		pPlayer:ChangeNumResourceTotal(iMagistrate, -2)
		pPlayer:ChangeGoldenAgeTurns(iTurns)
		pPlayer:SetNumFreePolicies(1)
		pPlayer:SetNumFreePolicies(0)
		pPlayer:SetHasPolicy(GameInfoTypes.POLICY_DECISIONS_KHMERBAYON, true)
		save(pPlayer, "Decisions_KhmerBayon", true)
	end
	)
	
Decisions_AddCivilisationSpecific(GameInfoTypes.CIVILIZATION_KHMER, "Decisions_KhmerBayon", Decisions_KhmerBayon)

--=======================================================================================================================
--=======================================================================================================================