--==========================================================================================================================
-- BuildingClasses
--==========================================================================================================================	
INSERT INTO BuildingClasses 	
			(Type, 						 		DefaultBuilding, 					NoLimit)
VALUES		('BUILDINGCLASS_BARAY_EFFECT', 		'BUILDING_KHMER_BARAY_EFFECT', 		1),
			('BUILDINGCLASS_POP_DUMMY', 		'BUILDING_KHMER_POP_DUMMY', 		1),
			('BUILDINGCLASS_WONDER_DUMMY', 		'BUILDING_KHMER_WONDER_DUMMY', 		1);
--==========================================================================================================================	
-- Buildings
--==========================================================================================================================	
INSERT INTO Buildings 	
			(Type, 								BuildingClass, Cost, GoldMaintenance, 	PrereqTech, Description, 						Civilopedia, 						Help, 									Strategy,									ReligiousPressureModifier, 		NoUnhappfromXSpecialists, 	GreatWorkCount, GreatWorkSlotType, SpecialistCount, SpecialistType, ReligiousUnrestFlatReduction, ArtDefineTag, MinAreaSize, ConquestProb, Happiness, HurryCostModifier, PortraitIndex, IconAtlas)
SELECT		('BUILDING_KHMER_PRASAT'),			BuildingClass, Cost, GoldMaintenance, 	PrereqTech, ('TXT_KEY_BUILDING_KHMER_PRASAT'), 	('TXT_KEY_CIV5_KHMER_PRASAT_TEXT'), ('TXT_KEY_BUILDING_KHMER_PRASAT_HELP'), ('TXT_KEY_BUILDING_KHMER_PRASAT_STRATEGY'),	ReligiousPressureModifier+25, 	1, 							GreatWorkCount, GreatWorkSlotType, SpecialistCount, SpecialistType, ReligiousUnrestFlatReduction, ArtDefineTag, MinAreaSize, ConquestProb, Happiness, HurryCostModifier, 5, 			('KHMER_ATLAS')
FROM Buildings WHERE (Type = 'BUILDING_TEMPLE');	

INSERT INTO Buildings 	
			(Type,								BuildingClass,					Description,							CapitalOnly, 				GoldMaintenance,	Cost,	FaithCost,	GreatWorkCount, NeverCapture,	NukeImmune, ConquestProb,	HurryCostModifier,	IconAtlas,			PortraitIndex, 	IsDummy)
VALUES		('BUILDING_KHMER_BARAY_EFFECT',		'BUILDINGCLASS_BARAY_EFFECT',	'TXT_KEY_BUILDING_KHMER_DUMMY',			0, 							0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				1);

INSERT INTO Buildings 	
			(Type,								BuildingClass,					Description,							NoUnhappfromXSpecialists, 	GoldMaintenance,	Cost,	FaithCost,	GreatWorkCount, NeverCapture,	NukeImmune, ConquestProb,	HurryCostModifier,	IconAtlas,			PortraitIndex, 	IsDummy)
VALUES		('BUILDING_KHMER_POP_DUMMY',		'BUILDINGCLASS_POP_DUMMY',		'TXT_KEY_BUILDING_KHMER_POP_DUMMY',		0, 							0,					-1,		-1,			-1,				0,				1,			100,			-1,					'CIV_COLOR_ATLAS',	0, 				1),
			('BUILDING_KHMER_WONDER_DUMMY',		'BUILDINGCLASS_WONDER_DUMMY',	'TXT_KEY_BUILDING_KHMER_WONDER_DUMMY',	0, 							0,					-1,		-1,			-1,				0,				1,			100,			-1,					'CIV_COLOR_ATLAS',	0, 				1);

--------------------------------	
-- Building_Flavors
--------------------------------		
INSERT INTO Building_Flavors 	
			(BuildingType, 						FlavorType, Flavor)
SELECT		('BUILDING_KHMER_PRASAT'),			FlavorType, Flavor
FROM Building_Flavors WHERE (BuildingType = 'BUILDING_TEMPLE');

INSERT INTO 	Building_Flavors 	
		(BuildingType, 						FlavorType, 		Flavor)
VALUES	('BUILDING_KHMER_PRASAT',			'FLAVOR_PRODUCTION',	10),
		('BUILDING_KHMER_PRASAT',			'FLAVOR_GROWTH',		10),
		('BUILDING_KHMER_BARAY_EFFECT',		'FLAVOR_PRODUCTION',	10),
		('BUILDING_KHMER_POP_DUMMY',		'FLAVOR_PRODUCTION',	10),
		('BUILDING_KHMER_WONDER_DUMMY',		'FLAVOR_CULTURE',		10);
--------------------------------	
-- Building_YieldChanges
--------------------------------		
INSERT INTO Building_YieldChanges 	
			(BuildingType, 				YieldType, 		Yield)
VALUES		('BUILDING_KHMER_PRASAT',	'YIELD_FAITH', 		3),
			('BUILDING_KHMER_PRASAT',	'YIELD_CULTURE', 	2);
--------------------------------	
-- Building_YieldFromYieldPercentGlobal
--------------------------------
INSERT INTO Building_YieldFromYieldPercentGlobal
		(BuildingType, 				YieldIn, 		YieldOut, 			Value)
VALUES	('BUILDING_KHMER_PRASAT', 	'YIELD_FAITH', 	'YIELD_PRODUCTION', 5);
--------------------------------	
-- Building_ResourceYieldChanges
--------------------------------
INSERT INTO Building_ResourceYieldChanges
		(BuildingType, 			ResourceType, YieldType, Yield)
SELECT	'BUILDING_KHMER_PRASAT', ResourceType, YieldType, Yield 
FROM Building_ResourceYieldChanges WHERE (BuildingType = 'BUILDING_TEMPLE');
--------------------------------	
-- Building_ImprovementYieldChanges
--------------------------------
INSERT INTO Building_ImprovementYieldChanges 
		(BuildingType, 					ImprovementType, 			YieldType, 			Yield) 
VALUES 	('BUILDING_KHMER_POP_DUMMY', 	'IMPROVEMENT_KHMER_PRANG', 'YIELD_PRODUCTION', 	1),
		('BUILDING_KHMER_WONDER_DUMMY', 'IMPROVEMENT_KHMER_PRANG', 'YIELD_CULTURE', 	2);
--==========================================================================================================================	
-- Civilization_BuildingClassOverrides 
--==========================================================================================================================	
INSERT INTO Civilization_BuildingClassOverrides 
			(CivilizationType, 			BuildingClassType, 		BuildingType)
SELECT		'CIVILIZATION_KHMER', 		'BUILDINGCLASS_TEMPLE', 'BUILDING_KHMER_PRASAT'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
