UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_GREAT_PEOPLE';
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_CITY';
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'UNITS_NO_SUPPLY';

------------------------------
-- ArtDefine_LandmarkTypes
------------------------------
INSERT INTO ArtDefine_LandmarkTypes(Type, LandmarkType, FriendlyName)
SELECT 'ART_DEF_IMPROVEMENT_KHMER_PRANG', 'Improvement', 'Prang';
------------------------------
-- ArtDefine_Landmarks
------------------------------
INSERT INTO ArtDefine_Landmarks(Era, State, Scale, ImprovementType, LayoutHandler, ResourceType, Model, TerrainContour)
SELECT 'Any', 'UnderConstruction', 0.75,  'ART_DEF_IMPROVEMENT_KHMER_PRANG', 'SNAPSHOT', 'ART_DEF_RESOURCE_ALL', 'AngkorTI_HB.fxsxml', 1 UNION ALL
SELECT 'Any', 'Constructed',       0.75,  'ART_DEF_IMPROVEMENT_KHMER_PRANG', 'SNAPSHOT', 'ART_DEF_RESOURCE_ALL', 'AngkorTI_B.fxsxml',    1 UNION ALL
SELECT 'Any', 'Pillaged',          0.75,  'ART_DEF_IMPROVEMENT_KHMER_PRANG', 'SNAPSHOT', 'ART_DEF_RESOURCE_ALL', 'WTI_PL.fxsxml', 1;
------------------------------
-- ArtDefine_StrategicView
------------------------------
INSERT INTO ArtDefine_StrategicView
			(StrategicViewType, 					TileType, 		Asset)
VALUES 		('ART_DEF_IMPROVEMENT_KHMER_PRANG', 	'Improvement', 	'Prang_BlueIcon128.dds');
--==========================================================================================================================

--==========================================================================================================================
-- IMPROVEMENTS
--==========================================================================================================================
------------------------------
-- Improvements
------------------------------
INSERT INTO Improvements
			(Type, 						Description, 						Civilopedia, 							ArtDefineTag, 						Help, 									SpecificCivRequired, 	CivilizationType, 		PillageGold,	CreatedByGreatPerson,	BuildableOnResources,	WonderProductionModifier, 	DestroyedWhenPillaged, 	PortraitIndex, 	IconAtlas)
VALUES		('IMPROVEMENT_KHMER_PRANG',	'TXT_KEY_IMPROVEMENT_KHMER_PRANG',	'TXT_KEY_IMPROVEMENT_KHMER_PRANG_TEXT',	'ART_DEF_IMPROVEMENT_KHMER_PRANG',	'TXT_KEY_IMPROVEMENT_KHMER_PRANG_HELP',	0,						null,					20,				1,						1,						0, 							0,						3,				'KHMER_ATLAS');
------------------------------	
-- Improvement_ValidTerrains
------------------------------		
INSERT INTO Improvement_ValidTerrains 	
			(ImprovementType, 			TerrainType)
VALUES		('IMPROVEMENT_KHMER_PRANG',	'TERRAIN_PLAINS'),
			('IMPROVEMENT_KHMER_PRANG',	'TERRAIN_GRASS'),
			('IMPROVEMENT_KHMER_PRANG',	'TERRAIN_TUNDRA'),
			('IMPROVEMENT_KHMER_PRANG',	'TERRAIN_DESERT'),			
			('IMPROVEMENT_KHMER_PRANG',	'TERRAIN_SNOW');
------------------------------	
-- Improvement_Yields
------------------------------		
INSERT INTO Improvement_Yields 	
			(ImprovementType, 			YieldType,			Yield)
VALUES		('IMPROVEMENT_KHMER_PRANG',	'YIELD_PRODUCTION',	5),
			('IMPROVEMENT_KHMER_PRANG',	'YIELD_FAITH',		1),
			('IMPROVEMENT_KHMER_PRANG',	'YIELD_FOOD',		1),
			('IMPROVEMENT_KHMER_PRANG',	'YIELD_CULTURE',	1);
------------------------------	
-- Improvement_ResourceTypes
------------------------------		
INSERT INTO Improvement_ResourceTypes	
			(ImprovementType, 			ResourceType,		ResourceMakesValid)
VALUES		('IMPROVEMENT_KHMER_PRANG',	'RESOURCE_HORSE',	1),
			('IMPROVEMENT_KHMER_PRANG',	'RESOURCE_IRON',	1);
INSERT INTO Improvement_ResourceTypes	
			(ImprovementType, 			ResourceType, 	ResourceMakesValid) 
SELECT 		'IMPROVEMENT_KHMER_PRANG', 	Type, 			1 
FROM Resources WHERE ResourceClassType = 'RESOURCECLASS_MODERN';

INSERT INTO Improvement_ResourceTypes	
			(ImprovementType, 			ResourceType, 	ResourceMakesValid) 
SELECT 		'IMPROVEMENT_KHMER_PRANG', 	Type, 			1 
FROM Resources WHERE ResourceClassType = 'RESOURCECLASS_LUXURY';
--==========================================================================================================================
-- BUILDS
--==========================================================================================================================				
------------------------------
-- Builds
------------------------------		
INSERT INTO Builds		
			(Type,					ImprovementType, 			Description, 					Help, 								Recommendation, 					EntityEvent, 			OrderPriority, 	Kill, 	IconIndex, 	IconAtlas)
VALUES		('BUILD_KHMER_PRANG',	'IMPROVEMENT_KHMER_PRANG',	'TXT_KEY_BUILD_KHMER_PRANG',	'TXT_KEY_BUILD_KHMER_PRANG_HELP',	'TXT_KEY_BUILD_KHMER_PRANG_REC',	'ENTITY_EVENT_BUILD',	95,				1,		4,			'KHMER_ATLAS');
------------------------------				
-- Unit_Builds
------------------------------				
INSERT INTO Unit_Builds	
			(UnitType, 				BuildType)
VALUES		('UNIT_KHMER_TROMEAK',	'BUILD_KHMER_PRANG');
------------------------------				
-- Unit_ScalingFromOwnedImprovements
------------------------------	
INSERT INTO Unit_ScalingFromOwnedImprovements
		(UnitType, ImprovementType, Amount)
VALUES	('UNIT_KHMER_TROMEAK', 	'IMPROVEMENT_MANUFACTORY', '10'),
		('UNIT_ENGINEER', 		'IMPROVEMENT_KHMER_PRANG', '10'),
		('UNIT_KHMER_TROMEAK', 	'IMPROVEMENT_KHMER_PRANG', '10');
--==========================================================================================================================

--==========================================================================================================================
-- POLICY
--==========================================================================================================================				
------------------------------
-- Policy_ImprovementYieldChanges
------------------------------		
INSERT INTO Policy_ImprovementYieldChanges
(PolicyType, ImprovementType, YieldType, Yield)
SELECT PolicyType, 'IMPROVEMENT_KHMER_PRANG', YieldType, Yield
FROM Policy_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_ENCAMPMENT_SHOSHONE';

INSERT INTO Policy_ImprovementYieldChanges
(PolicyType, ImprovementType, YieldType, Yield)
SELECT PolicyType, 'IMPROVEMENT_KHMER_PRANG', YieldType, Yield
FROM Policy_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MANUFACTORY';
--==========================================================================================================================
-- BELIEF
--==========================================================================================================================				
------------------------------
-- Belief_ImprovementYieldChanges
------------------------------	
INSERT INTO Belief_ImprovementYieldChanges
		(BeliefType, ImprovementType, YieldType, Yield)
SELECT BeliefType, 'IMPROVEMENT_KHMER_PRANG', YieldType, Yield
FROM Belief_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MANUFACTORY';
--==========================================================================================================================
-- BUILDING
--==========================================================================================================================				
------------------------------
-- Building_ImprovementYieldChanges
------------------------------		
INSERT INTO Building_ImprovementYieldChanges
		(BuildingType, ImprovementType, YieldType, Yield)
SELECT 	BuildingType, 'IMPROVEMENT_KHMER_PRANG', YieldType, Yield
FROM Building_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MANUFACTORY';

INSERT INTO Building_ImprovementYieldChanges (BuildingType, ImprovementType, YieldType, Yield) SELECT Type, 'IMPROVEMENT_KHMER_PRANG', 'YIELD_FOOD', 1 FROM Buildings WHERE BuildingClass = 'BUILDINGCLASS_TEMPLE';
INSERT INTO Building_ImprovementYieldChanges (BuildingType, ImprovementType, YieldType, Yield) SELECT Type, 'IMPROVEMENT_KHMER_PRANG', 'YIELD_FOOD', 1 FROM Buildings WHERE BuildingClass = 'BUILDINGCLASS_SHRINE';
INSERT INTO Building_ImprovementYieldChanges (BuildingType, ImprovementType, YieldType, Yield) SELECT Type, 'IMPROVEMENT_KHMER_PRANG', 'YIELD_FAITH', 1 FROM Buildings WHERE BuildingClass = 'BUILDINGCLASS_GRANARY';
INSERT INTO Building_ImprovementYieldChanges (BuildingType, ImprovementType, YieldType, Yield) SELECT Type, 'IMPROVEMENT_KHMER_PRANG', 'YIELD_FAITH', 1 FROM Buildings WHERE BuildingClass = 'BUILDINGCLASS_GROCER';
INSERT INTO Building_ImprovementYieldChanges (BuildingType, ImprovementType, YieldType, Yield) SELECT Type, 'IMPROVEMENT_KHMER_PRANG', 'YIELD_FAITH', 1 FROM Buildings WHERE BuildingClass = 'BUILDINGCLASS_AQUEDUCT';
INSERT INTO Building_ImprovementYieldChanges (BuildingType, ImprovementType, YieldType, Yield) SELECT Type, 'IMPROVEMENT_KHMER_PRANG', 'YIELD_FOOD', 1 FROM Buildings WHERE BuildingClass = 'BUILDINGCLASS_GRAND_TEMPLE';
------------------------------
-- Building_ImprovementYieldChangesGlobal
------------------------------	
INSERT INTO Building_ImprovementYieldChangesGlobal
		(BuildingType, ImprovementType, 			YieldType, Yield)
SELECT 	BuildingType, 'IMPROVEMENT_KHMER_PRANG', 	YieldType, Yield
FROM Building_ImprovementYieldChangesGlobal WHERE ImprovementType = 'IMPROVEMENT_MANUFACTORY';